aeton

Star Wars Battlefront II says i should update my driver to 17.7.1, but its updated to 17.10

Discussion created by aeton on Jun 8, 2020
Latest reply on Jun 10, 2020 by hardcoregames™

If I try to start SWBF2 it say. "Please updated your AMD Radeon driver. Detected AMD Radeon driver version 17.4.4. The required driver version is 17.7.1 (17.10.3211) or later. Please update your drivers at (link) before playing the game.

 

My AMD Radeon R7 250X says in the Radeon software, when I click on Updates: Currently installed: 17.10.1731-170 ...)

My game does not start just this message pops up.

Outcomes